package cn.superdesk.uniorder.dao.entity.accounting;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class AccountingAppealExample {
    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    protected String orderByClause;

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    protected boolean distinct;

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    protected List<Criteria> oredCriteria;

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public AccountingAppealExample() {
        oredCriteria = new ArrayList<>();
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public String getOrderByClause() {
        return orderByClause;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public boolean isDistinct() {
        return distinct;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIsNull() {
            addCriterion("accounting_order_id is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIsNotNull() {
            addCriterion("accounting_order_id is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdEqualTo(Long value) {
            addCriterion("accounting_order_id =", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotEqualTo(Long value) {
            addCriterion("accounting_order_id <>", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdGreaterThan(Long value) {
            addCriterion("accounting_order_id >", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdGreaterThanOrEqualTo(Long value) {
            addCriterion("accounting_order_id >=", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdLessThan(Long value) {
            addCriterion("accounting_order_id <", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdLessThanOrEqualTo(Long value) {
            addCriterion("accounting_order_id <=", value, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdIn(List<Long> values) {
            addCriterion("accounting_order_id in", values, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotIn(List<Long> values) {
            addCriterion("accounting_order_id not in", values, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdBetween(Long value1, Long value2) {
            addCriterion("accounting_order_id between", value1, value2, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderIdNotBetween(Long value1, Long value2) {
            addCriterion("accounting_order_id not between", value1, value2, "accountingOrderId");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNull() {
            addCriterion("accounting_order_sn is null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIsNotNull() {
            addCriterion("accounting_order_sn is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnEqualTo(String value) {
            addCriterion("accounting_order_sn =", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotEqualTo(String value) {
            addCriterion("accounting_order_sn <>", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThan(String value) {
            addCriterion("accounting_order_sn >", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn >=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThan(String value) {
            addCriterion("accounting_order_sn <", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLessThanOrEqualTo(String value) {
            addCriterion("accounting_order_sn <=", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnLike(String value) {
            addCriterion("accounting_order_sn like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotLike(String value) {
            addCriterion("accounting_order_sn not like", value, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnIn(List<String> values) {
            addCriterion("accounting_order_sn in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotIn(List<String> values) {
            addCriterion("accounting_order_sn not in", values, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnBetween(String value1, String value2) {
            addCriterion("accounting_order_sn between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingOrderSnNotBetween(String value1, String value2) {
            addCriterion("accounting_order_sn not between", value1, value2, "accountingOrderSn");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeIsNull() {
            addCriterion("accounting_type is null");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeIsNotNull() {
            addCriterion("accounting_type is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeEqualTo(String value) {
            addCriterion("accounting_type =", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeNotEqualTo(String value) {
            addCriterion("accounting_type <>", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeGreaterThan(String value) {
            addCriterion("accounting_type >", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_type >=", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeLessThan(String value) {
            addCriterion("accounting_type <", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeLessThanOrEqualTo(String value) {
            addCriterion("accounting_type <=", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeLike(String value) {
            addCriterion("accounting_type like", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeNotLike(String value) {
            addCriterion("accounting_type not like", value, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeIn(List<String> values) {
            addCriterion("accounting_type in", values, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeNotIn(List<String> values) {
            addCriterion("accounting_type not in", values, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeBetween(String value1, String value2) {
            addCriterion("accounting_type between", value1, value2, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingTypeNotBetween(String value1, String value2) {
            addCriterion("accounting_type not between", value1, value2, "accountingType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeIsNull() {
            addCriterion("accounting_sub_type is null");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeIsNotNull() {
            addCriterion("accounting_sub_type is not null");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeEqualTo(String value) {
            addCriterion("accounting_sub_type =", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeNotEqualTo(String value) {
            addCriterion("accounting_sub_type <>", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeGreaterThan(String value) {
            addCriterion("accounting_sub_type >", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeGreaterThanOrEqualTo(String value) {
            addCriterion("accounting_sub_type >=", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeLessThan(String value) {
            addCriterion("accounting_sub_type <", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeLessThanOrEqualTo(String value) {
            addCriterion("accounting_sub_type <=", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeLike(String value) {
            addCriterion("accounting_sub_type like", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeNotLike(String value) {
            addCriterion("accounting_sub_type not like", value, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeIn(List<String> values) {
            addCriterion("accounting_sub_type in", values, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeNotIn(List<String> values) {
            addCriterion("accounting_sub_type not in", values, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeBetween(String value1, String value2) {
            addCriterion("accounting_sub_type between", value1, value2, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andAccountingSubTypeNotBetween(String value1, String value2) {
            addCriterion("accounting_sub_type not between", value1, value2, "accountingSubType");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andImgIsNull() {
            addCriterion("img is null");
            return (Criteria) this;
        }

        public Criteria andImgIsNotNull() {
            addCriterion("img is not null");
            return (Criteria) this;
        }

        public Criteria andImgEqualTo(Object value) {
            addCriterion("img =", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotEqualTo(Object value) {
            addCriterion("img <>", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgGreaterThan(Object value) {
            addCriterion("img >", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgGreaterThanOrEqualTo(Object value) {
            addCriterion("img >=", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgLessThan(Object value) {
            addCriterion("img <", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgLessThanOrEqualTo(Object value) {
            addCriterion("img <=", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgIn(List<Object> values) {
            addCriterion("img in", values, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotIn(List<Object> values) {
            addCriterion("img not in", values, "img");
            return (Criteria) this;
        }

        public Criteria andImgBetween(Object value1, Object value2) {
            addCriterion("img between", value1, value2, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotBetween(Object value1, Object value2) {
            addCriterion("img not between", value1, value2, "img");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNull() {
            addCriterion("create_user_id is null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIsNotNull() {
            addCriterion("create_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdEqualTo(Long value) {
            addCriterion("create_user_id =", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotEqualTo(Long value) {
            addCriterion("create_user_id <>", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThan(Long value) {
            addCriterion("create_user_id >", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("create_user_id >=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThan(Long value) {
            addCriterion("create_user_id <", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("create_user_id <=", value, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdIn(List<Long> values) {
            addCriterion("create_user_id in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotIn(List<Long> values) {
            addCriterion("create_user_id not in", values, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdBetween(Long value1, Long value2) {
            addCriterion("create_user_id between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andCreateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("create_user_id not between", value1, value2, "createUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNull() {
            addCriterion("update_user_id is null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIsNotNull() {
            addCriterion("update_user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdEqualTo(Long value) {
            addCriterion("update_user_id =", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotEqualTo(Long value) {
            addCriterion("update_user_id <>", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThan(Long value) {
            addCriterion("update_user_id >", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdGreaterThanOrEqualTo(Long value) {
            addCriterion("update_user_id >=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThan(Long value) {
            addCriterion("update_user_id <", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdLessThanOrEqualTo(Long value) {
            addCriterion("update_user_id <=", value, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdIn(List<Long> values) {
            addCriterion("update_user_id in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotIn(List<Long> values) {
            addCriterion("update_user_id not in", values, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdBetween(Long value1, Long value2) {
            addCriterion("update_user_id between", value1, value2, "updateUserId");
            return (Criteria) this;
        }

        public Criteria andUpdateUserIdNotBetween(Long value1, Long value2) {
            addCriterion("update_user_id not between", value1, value2, "updateUserId");
            return (Criteria) this;
        }
    }

    /**
     *
     * table accounting_appeal
     *
     * do_not_delete_during_merge Tue Oct 20 13:49:38 CST 2020
     */
    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    /**
     *
     * table accounting_appeal
     *
     * Tue Oct 20 13:49:38 CST 2020
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}